AnonymousParty
Keywords: net.corda.core.identity.AnonymousParty class
Date: 2023-09-18

net.corda.core.identity

## Class AnonymousParty

- net.corda.core.identity.AbstractParty
- - net.corda.core.identity.AnonymousParty

- All Implemented Interfaces:
    Destination

      public class AnonymousParty
      extends AbstractParty
      implements Destination

  The `class AnonymousParty` class contains enough information to uniquely identify a `class Party` while excluding private information such as name. It is intended to represent a party on the distributed ledger.

  ### Flow sessions

  Anonymous parties can be used to communicate using the `FlowLogic.initiateFlow` method. Message routing is simply routing to the well-known `class Party` the anonymous party belongs to. This mechanism assumes the party initiating the communication knows who the anonymous party is.

  See Also:
    `class AnonymousParty`, `class Party`, `FlowLogic.initiateFlow`, `class Party`

- - ### Field Detail

    - #### Companion

          public static net.corda.core.identity.AnonymousParty.Companion Companion

  - ### Constructor Detail

    - #### AnonymousParty

          public AnonymousParty(@NotNull
                                java.security.PublicKey owningKey)

      The `class AnonymousParty` class contains enough information to uniquely identify a `class Party` while excluding private information such as name. It is intended to represent a party on the distributed ledger.

      ### Flow sessions

      Anonymous parties can be used to communicate using the `FlowLogic.initiateFlow` method. Message routing is simply routing to the well-known `class Party` the anonymous party belongs to. This mechanism assumes the party initiating the communication knows who the anonymous party is.

      See Also:
        `class AnonymousParty`, `class Party`, `FlowLogic.initiateFlow`, `class Party`

  - ### Method Detail

    - #### nameOrNull

          @Nullable
          public CordaX500Name nameOrNull()

    - #### ref

          @NotNull
          public PartyAndReference ref(@NotNull
                                                OpaqueBytes bytes)

      Build a reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger.

    - #### toString

          @NotNull
          public java.lang.String toString()